@echo off
cls
echo.
echo  ***************************************
echo  *** sz Ryzen Balanced Power Plan v4 ***
echo  ***************************************
echo.
echo 1 - Deutsch
echo 2 - English
echo.
choice /n /c 12 /m "Sprache/Language (1 / 2): "
if %errorlevel%==2 goto ENGL
cls
if exist "sz_ryzbal_v4.pow" goto OKG
echo Leider konnten die Dateien nicht gefunden werden.
echo Bitte alle Dateien aus dem zip-Archiv in einen Ordner entpacken!
echo.
pause
exit
:OKG
echo Fuer weitere Infos lohnt sich ein Besuch des ComputerBase-Forums:
echo https://www.computerbase.de/forum/threads/energiesparplan-zen2-ryzen-3000.1934824/
echo.
echo Folgende Einstellungen sollten im BIOS vorgenommen werden:
echo - AMD Cool'n'Quiet = On/Enabled
echo - Global C-state Control = On/Enabled
echo - Power Supply Idle Control = Low Current Idle
echo - CPPC = On/Enabled
echo - CPPC Preferred Cores = On/Enabled
echo - PPC Adjustment = PState 0
echo.
echo.
echo Energiesparplan wird installiert...
powercfg -import "%~dp0\sz_ryzbal_v4.pow" >NUL
for /f "tokens=4" %%i in ('powercfg -list ^| findstr /C:"sz Ryzen Balanced V4"') do set guid=%%i
powercfg -changename %guid% "sz Ryzen Balanced V4" "Ausbalancierter Energiesparplan fuer Ryzen 3000."
powercfg /setactive  %guid%
echo Erledigt.
echo.
echo Auf dem System wurde ein neuer Energiesparplan installiert:
echo "sz Ryzen Balanced V4" - optimierte Prozessorsteuerung fuer AMD Ryzen 3000
echo.
echo.
echo Es erfolgt nun eine Weiterleitung zu den Energieoptionen von Windows.
goto finish
:ENGL
cls
if exist "sz_ryzbal_v4.pow" goto OKENGL
echo Unfortunately the files could not be found.
echo Please extract all files from the archive to one folder!
echo.
pause
exit
:OKENGL
echo For questions and further information it's worth visiting the forum on ComputerBase:
echo https://www.computerbase.de/forum/threads/energiesparplan-zen2-ryzen-3000.1934824/
echo.
echo The following BIOS settings are recommended:
echo - AMD Cool'n'Quiet = On/Enabled
echo - Global C-state Control = On/Enabled
echo - Power Supply Idle Control = Low Current Idle
echo - CPPC = On/Enabled
echo - CPPC Preferred Cores = On/Enabled
echo - PPC Adjustment = PState 0
echo.
echo.
echo Installing power plan...
powercfg -import "%~dp0\sz_ryzbal_v4.pow" >NUL
for /f "tokens=4" %%i in ('powercfg -list ^| findstr /C:"sz Ryzen Balanced V4"') do set guid=%%i
powercfg -changename %guid% "sz Ryzen Balanced V4" "Balanced power plan for Ryzen 3000."
powercfg /setactive  %guid%
echo Done.
echo.
echo A new power plan has been installed:
echo.
echo "sz Ryzen Balanced V4" - optimized CPU control settings for AMD Ryzen 3000
echo.
echo.
echo You'll now be redirected to the power options of Windows.
:finish
pause
control powercfg.cpl